Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
GETBackup Service OperationsSince 3.9.0SynchronousAuth Required

GetSchedulerExecutionReport

GetSchedulerExecutionReport

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • startTimelongRequired

    The start time when the report ws generated.

  • intervalTimeUnitStringRequired

    The unit of the interval.

  • rangeintRequired

    The time range of the report.

  • schedulerJobTypesListRequired

    The type of the scheduled job.

  • systemTagsList

    Optional. The system tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successRecordsListRequired

    The success records.

  • failureRecordsListRequired

    The failure records.

  • partialSuccessRecordsListRequired

    The partial success records.

  • waitingRecordsListRequired

    The waiting records.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/scheduler/report

/zstack/v1/scheduler/report

Operation ID

GetSchedulerExecutionReport

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/scheduler/report?startTime=1&intervalTimeUnit=<intervalTimeUnit>&range=1&schedulerJobTypes=<schedulerJobTypes>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "successRecords": [ 100.0, 99.0, 50.0, 0.0 ], "failureRecords": [ 0.0, 1.0, 34.0, 0.0 ], "partialSuccessRecords": [ 0.0, 0.0, 16.0, 0.0 ], "waitingRecords": [ 0.0, 0.0, 0.0, 100.0 ] }

Change History

This API has no change history records yet.

View all change history